[arch-commits] Commit in gnome-music/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Fri Sep 13 09:10:32 UTC 2019


    Date: Friday, September 13, 2019 @ 09:10:32
  Author: heftig
Revision: 362438

archrelease: copy trunk to extra-x86_64

Added:
  gnome-music/repos/extra-x86_64/PKGBUILD
    (from rev 362436, gnome-music/trunk/PKGBUILD)
Deleted:
  gnome-music/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  110 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 57 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-13 09:10:31 UTC (rev 362437)
+++ PKGBUILD	2019-09-13 09:10:32 UTC (rev 362438)
@@ -1,53 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gnome-music
-pkgver=3.32.2
-pkgrel=1
-epoch=1
-pkgdesc="Music player and management application"
-url="https://wiki.gnome.org/Apps/Music"
-arch=(x86_64)
-license=(GPL)
-depends=(grilo grilo-plugins tracker-miners libdmapsharing libmediaart gtk3 gvfs python-gobject
-         python-cairo gst-plugins-base python-requests libdazzle)
-makedepends=(gobject-introspection git meson yelp-tools appstream-glib)
-optdepends=('gst-plugins-good: Extra media codecs'
-            'gst-plugins-ugly: Extra media codecs'
-            'gst-plugins-bad: Extra media codecs'
-            'gst-libav: Extra media codecs')
-groups=(gnome)
-_commit=80df463c6bb9a5ab9983f43fd9cc1c8cd4962bec  # tags/3.32.2^0
-source=("git+https://gitlab.gnome.org/GNOME/gnome-music.git#commit=$_commit"
-        "git+https://gitlab.gnome.org/GNOME/libgd.git")
-sha256sums=('SKIP'
-            'SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.subprojects/libgd.url "$srcdir/libgd"
-  git submodule update
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  meson test -C build
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-
-  python -m compileall -d /usr/lib "$pkgdir/usr/lib"
-  python -O -m compileall -d /usr/lib "$pkgdir/usr/lib"
-}

Copied: gnome-music/repos/extra-x86_64/PKGBUILD (from rev 362436, gnome-music/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-13 09:10:32 UTC (rev 362438)
@@ -0,0 +1,57 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gnome-music
+pkgver=3.34.0
+pkgrel=1
+epoch=1
+pkgdesc="Music player and management application"
+url="https://wiki.gnome.org/Apps/Music"
+arch=(x86_64)
+license=(GPL)
+depends=(grilo grilo-plugins tracker-miners libdmapsharing libmediaart gtk3 gvfs
+         python-gobject python-cairo gst-plugins-base python-requests libdazzle)
+makedepends=(gobject-introspection git meson yelp-tools appstream-glib)
+optdepends=('gst-plugins-good: Extra media codecs'
+            'gst-plugins-ugly: Extra media codecs'
+            'gst-plugins-bad: Extra media codecs'
+            'gst-libav: Extra media codecs')
+groups=(gnome)
+_commit=7ef36ed4b3a00c5af3f0438e16afa45fb8ec83c7  # tags/3.34.0^0
+source=("git+https://gitlab.gnome.org/GNOME/gnome-music.git#commit=$_commit"
+        "git+https://gitlab.gnome.org/GNOME/libgd.git"
+        "git+https://gitlab.gnome.org/mschraal/gfm.git")
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.subprojects/libgd.url "$srcdir/libgd"
+  git config --local submodule.subprojects/gfm.url "$srcdir/gfm"
+  git submodule update
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # appdata style violations
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+
+  python -m compileall -d /usr/lib "$pkgdir/usr/lib"
+  python -O -m compileall -d /usr/lib "$pkgdir/usr/lib"
+}


More information about the arch-commits mailing list